Bug 1031458 (CVE-2013-1741) - CVE-2013-1741 nss: Integer truncation in certificate parsing (MFSA 2013-103)
Summary: CVE-2013-1741 nss: Integer truncation in certificate parsing (MFSA 2013-103)
Keywords:
Status: NEW
Alias: CVE-2013-1741
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1031463 1031897 1032466 1032468 1032470 1032472
Blocks: 1030811
TreeView+ depends on / blocked
 
Reported: 2013-11-18 03:11 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:09 UTC (History)
2 users (show)

Fixed In Version: nss-3.15.3-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1791 normal SHIPPED_LIVE Important: nss and nspr security, bug fix, and enhancement update 2013-12-05 21:15:00 UTC
Red Hat Product Errata RHSA-2013:1829 normal SHIPPED_LIVE Important: nss, nspr, and nss-util security update 2013-12-13 00:02:32 UTC

Description Huzaifa S. Sidhpurwala 2013-11-18 03:11:53 UTC
Google security researcher Tavis Ormandy reported a runaway memset in certificate parsing on 64-bit computers leading to a crash by attempting to write 4Gb of nulls.


Upstream patch:
https://hg.mozilla.org/projects/nss/rev/612d7d1eb9e7

Release notes:
https://developer.mozilla.org/en-US/docs/NSS/NSS_3.15.3_release_notes

External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-103.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Tavis Ormandy as the original reporter of this issue.

Comment 4 Huzaifa S. Sidhpurwala 2013-11-19 05:33:10 UTC
Created nss tracking bugs for this issue:

Affects: fedora-all [bug 1031897]

Comment 8 errata-xmlrpc 2013-12-05 16:17:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1791 https://rhn.redhat.com/errata/RHSA-2013-1791.html

Comment 9 errata-xmlrpc 2013-12-12 19:03:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1829 https://rhn.redhat.com/errata/RHSA-2013-1829.html

Comment 10 Fedora Update System 2013-12-14 02:52:11 UTC
nss-3.15.3-2.fc20, nss-softokn-3.15.3-1.fc20, nss-util-3.15.3-1.fc20, nspr-4.10.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.